<?php
require'fun.php';
require'f_admin.php';
$titlu='Editeaza întrebare trivia '.$pid;
$back[1]='<a href="/admin-intrebari-trivia">'.img('administrare.png',1).'Intrebari trivia</a>';
require'f_sus.php';
$info=$conn->query('SELECT`intrebare`,`raspuns`,`de`FROM`trivia_intrebari`WHERE`id`="'.$pid.'"')->fetch_row();
if(isset($_POST['intrebare']))
{
$intrebare=$_POST['intrebare'];
$raspuns=$_POST['raspuns'];
if(($intrebare!=''&&$raspuns!=''?$conn->query('UPDATE`trivia_intrebari`SET`intrebare`="'.$intrebare.'",`raspuns`="'.$raspuns.'"WHERE`id`="'.$pid.'"'):false))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a editat intrebarea trivia cu numărul '.$pid.', înlocuind intrebarea:[br/][b]'.$info[0].'[/b][br/]Cu intrebarea:[br/][b]'.$intrebare.'[/b][br/]Și răspunsul:[br/][b]'.$info[1].'[/b][br/]Cu răspunsul:[br/][b]'.$raspuns.'[/b]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if($de!=$info[2])
{
require'f_notificare.php';
notificare('am editat o întrebare trivia adăugată de tine, înlocuind intrebarea:[br/][b]'.$info[0].'[/b][br/]Cu intrebarea:[br/][b]'.$intrebare.'[/b][br/]Și răspunsul:[br/][b]'.$info[1].'[/b][br/]Cu răspunsul:[br/][b]'.$raspuns.'[/b]!',$info[2],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Intrebare trivia editata!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat întrebarea sau răspunsul!';
echo$div[0];
}
else
{
echo$div[4].img('administrare.png',1).'Editeaza întrebare trivia '.$pid.$div[5];
$form[0]='/admin-editeaza-intrebare-trivia/id/'.$pid.'" method="post';
$form[1]=0;
$form[2]=$div[1].'Intrebare:<br /><input name="intrebare" value="'.$info[0].'" />'.$div[0].$div[1].'Răspuns:<br /><input name="raspuns" value="'.$info[1].'" />'.$div[0];
$form[3]='intrebare::raspuns';
$form[4]='Editeaza';
require'f_form.php';
}
require'f_jos.php';